.image-upload-box {
    position: relative;
    width: 120px;
    height: 120px;
    padding: 4px;
    border: 1px solid #ccc;
    border-radius: 10px;
    overflow: hidden;
    display: inline-block;
    cursor: pointer;
}

.image-upload-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: none;
    border-radius: 7px;
    transition: transform 0.3s ease;
}

.image-upload-box .upload-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 30px;
    z-index: 1; /* Ensure it's above the image */
}

.edit-icon {
    position: absolute;
    top: 16%;
    right: -7%;
    transform: translate(-50%, -50%);
    font-size: 12px;
    background-color: #232323;
    z-index: 2; /* Higher z-index to ensure it's above the image */
    display: none; /* Initially hidden */
}

.edit-icon:hover{
    background-color: red;
}

.image-upload-box:hover img {
    transform: scale(1.2);
}

.image-upload-box:hover .edit-icon {
    display: block; /* Show edit icon on hover */
}
